From: "Arsen Arsenović" <arsen@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: media-sound/beets/
Date: Thu, 19 Dec 2024 07:54:17 +0000 (UTC) [thread overview]
Message-ID: <1734594569.b85f73d7d068ec2275ad8324883edd0ea25c6535.arsen@gentoo> (raw)
commit: b85f73d7d068ec2275ad8324883edd0ea25c6535
Author: Arsen Arsenović <arsen <AT> gentoo <DOT> org>
AuthorDate: Sun Dec 15 23:32:46 2024 +0000
Commit: Arsen Arsenović <arsen <AT> gentoo <DOT> org>
CommitDate: Thu Dec 19 07:49:29 2024 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b85f73d7
media-sound/beets: update live
Most of the work done by Kangie.
Co-authored-by: Matt Jolly <kangie <AT> gentoo.org>
Signed-off-by: Arsen Arsenović <arsen <AT> gentoo.org>
media-sound/beets/Manifest | 1 +
media-sound/beets/beets-9999.ebuild | 24 ++++++++++++------------
2 files changed, 13 insertions(+), 12 deletions(-)
diff --git a/media-sound/beets/Manifest b/media-sound/beets/Manifest
index 7e408c416fcb..e0b9bcf57b14 100644
--- a/media-sound/beets/Manifest
+++ b/media-sound/beets/Manifest
@@ -1 +1,2 @@
DIST beets-1.7.0_pre20240501.gh.tar.gz 2247319 BLAKE2B e215c8a2a30a44d298746351be4fa2de1cebb7d6aec2bc7dfc679b133ea5eddefec20d038aa1aa1d734b176c09163b93f917c6c29ea5115c4c2349e090c8c5df SHA512 f397c72b481d7d8822db598ab37c99d0b9063ae45455c0d34116fab7b5a4cc683a3357bdfe436181b1dea46ee05192cc37faf355b5e093d63c2e440e523b92bc
+DIST beets-2.2.0.gh.tar.gz 2414560 BLAKE2B 24c68b27c0d35afb26a39505810ba8ae224173c6f0e36ca551f32cb78250a6b0e777a603c47fd18b6d7e6cdecc5fcaa6b64fe4fd33379de8d6b545dbd49f369f SHA512 ff3a2ea7820129f4b793766ac7dbe3bcfb353563ed3b64ada47db3ba64930caa5841f6cbd20e97e58a4a9eb340bc9e8cd90c7fc188f11420a3cb680ea7a25e48
diff --git a/media-sound/beets/beets-9999.ebuild b/media-sound/beets/beets-9999.ebuild
index ed8336d62a74..d369086b7ef3 100644
--- a/media-sound/beets/beets-9999.ebuild
+++ b/media-sound/beets/beets-9999.ebuild
@@ -5,7 +5,8 @@ EAPI=8
DISTUTILS_SINGLE_IMPL=1
DISTUTILS_USE_PEP517=poetry
-PYTHON_COMPAT=( python3_{10..12} )
+# Passes tests with python3_13 but dev-python/audioread is problematic
+PYTHON_COMPAT=( python3_{11..12} )
PYTHON_REQ_USE="sqlite"
# These envvars are used to treat github tarball builds differently
@@ -17,6 +18,8 @@ inherit distutils-r1 bash-completion-r1 multiprocessing optfeature
if [[ ${PV} == "9999" ]]; then
EGIT_REPO_URI="https://github.com/beetbox/beets.git"
+ IS_VCS_SOURCE="yes"
+ UPDATE_VERSION="yes"
inherit git-r3
else
inherit pypi
@@ -62,12 +65,14 @@ BDEPEND="
dev-db/sqlite[icu]
dev-python/beautifulsoup4[${PYTHON_USEDEP}]
dev-python/bluelet[${PYTHON_USEDEP}]
+ dev-python/dbus-python[${PYTHON_USEDEP}]
dev-python/python3-discogs-client[${PYTHON_USEDEP}]
dev-python/flask[${PYTHON_USEDEP}]
dev-python/mock[${PYTHON_USEDEP}]
dev-python/pyacoustid[${PYTHON_USEDEP}]
dev-python/pylast[${PYTHON_USEDEP}]
dev-python/pygobject:3[${PYTHON_USEDEP}]
+ dev-python/pytest-flask[${PYTHON_USEDEP}]
dev-python/python-mpd2[${PYTHON_USEDEP}]
dev-python/pyxdg[${PYTHON_USEDEP}]
dev-python/reflink[${PYTHON_USEDEP}]
@@ -105,13 +110,10 @@ EPYTEST_XDIST=1
distutils_enable_tests pytest
src_prepare() {
- # https://github.com/beetbox/beets/commit/8b4983fe7cae9397acd3e23602e419d8dc1041d4
- # merged code coverage into standard test runs; since we disable coverage globally
- # we need to sed out some 'addopts' for coverage in setup.cfg that cause tests to choke.
- #sed -i -e "/--cov=beets/,+9d" setup.cfg || die "Failed to disable code coverage options in setup.cfg"
- # Update the version if we're not building from pypy; it's probably a _pre or live ebuild.
if [[ ${PV} == "9999" ]] || [[ ${UPDATE_VERSION} == "yes" ]]; then
- sed -i -e "s/^version = \".*\"$/version = \"${PV}\"/" pyproject.toml || die "Failed to update version in VCS sources"
+ sed -i -e "s/^version = \".*\"$/version = \"${PV}\"/" \
+ pyproject.toml \
+ || die "Failed to update version in VCS sources"
sed -i -e "s/__version__ = \".*\"/__version__ = \"${PV}\"/" beets/__init__.py
fi
default
@@ -137,11 +139,8 @@ python_compile_all() {
}
python_test() {
- # https://github.com/beetbox/beets/issues/5243 testing bash completions is broken.
- local EPYTEST_DESELECT=(
- test/test_ui.py::CompletionTest::test_completion
- )
- epytest -n$(makeopts_jobs) -v --no-cov
+ # test/test_art_resize.py can be flaky, parallelisation?
+ epytest -n$(makeopts_jobs) -v
}
python_install_all() {
@@ -169,4 +168,5 @@ python_install_all() {
optfeature "thumbnail support" dev-python/pyxdg "dev-python/pillow media-gfx/imagemagick"
optfeature "webserver support" dev-python/flask
optfeature "webserver cors support" dev-python/flask-cors
+ optfeature "Amarok metadata synchronisation" dev-python/dbus-python
}
next reply other threads:[~2024-12-19 7:54 UTC|newest]
Thread overview: 57+ messages / expand[flat|nested] mbox.gz Atom feed top
2024-12-19 7:54 Arsen Arsenović [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-03-11 9:04 [gentoo-commits] repo/gentoo:master commit in: media-sound/beets/ Ionen Wolkens
2024-12-19 7:54 Arsen Arsenović
2024-06-13 9:26 Matt Jolly
2024-06-03 5:06 Matt Jolly
2024-06-03 5:06 Matt Jolly
2024-05-28 22:01 Sam James
2024-05-23 7:51 Matt Jolly
2024-05-22 13:19 Matt Jolly
2024-05-08 21:33 Sam James
2023-07-14 12:09 Sam James
2023-05-20 6:22 Michał Górny
2023-05-01 0:34 Sam James
2023-05-01 0:19 Sam James
2023-02-22 16:02 Sam James
2023-02-22 16:02 Sam James
2023-02-22 16:00 Sam James
2023-02-22 16:00 Sam James
2022-06-22 13:22 Agostino Sarubbo
2022-06-21 6:40 Sam James
2022-06-21 5:35 Sam James
2022-06-07 21:09 Sam James
2022-02-13 22:59 Jakov Smolić
2021-10-31 18:29 Sam James
2021-10-31 8:46 Sam James
2021-10-31 2:58 Sam James
2021-06-01 0:28 Sam James
2021-05-14 11:21 Sam James
2021-01-26 11:37 Joonas Niilola
2021-01-26 11:37 Joonas Niilola
2021-01-26 11:37 Joonas Niilola
2021-01-24 8:09 Joonas Niilola
2021-01-24 8:09 Joonas Niilola
2021-01-18 12:27 Joonas Niilola
2021-01-18 12:27 Joonas Niilola
2021-01-18 12:27 Joonas Niilola
2020-06-01 13:10 Joonas Niilola
2020-06-01 13:07 Joonas Niilola
2020-06-01 13:07 Joonas Niilola
2020-06-01 12:28 Joonas Niilola
2020-06-01 12:28 Joonas Niilola
2020-06-01 12:28 Joonas Niilola
2020-06-01 12:28 Joonas Niilola
2020-03-16 18:55 Michał Górny
2019-08-30 11:46 Joonas Niilola
2019-08-30 11:46 Joonas Niilola
2019-06-01 14:26 Andreas Sturmlechner
2019-05-19 17:54 Andreas Sturmlechner
2018-09-05 21:08 Andreas Sturmlechner
2018-09-05 21:08 Andreas Sturmlechner
2018-09-05 21:08 Andreas Sturmlechner
2018-09-05 21:08 Andreas Sturmlechner
2018-03-18 12:42 Pacho Ramos
2018-03-18 12:42 Pacho Ramos
2017-02-20 0:36 Robin H. Johnson
2016-08-10 20:18 Michael Palimaka
2016-08-10 20:18 Michael Palimaka
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1734594569.b85f73d7d068ec2275ad8324883edd0ea25c6535.arsen@gentoo \
--to=arsen@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox